;;; 50sisu.el -- debian emacs setups for sisu

(if (not (file-exists-p "/usr/share/emacs/site-lisp/sisu/sisu-mode.el"))
    (message "sisu removed but not purged, skipping setup")

  ;; not byte compiled so this is the source dir
  (debian-pkg-add-load-path-item "/usr/share/emacs/site-lisp/sisu")

  (autoload 'sisu-mode "sisu-mode" "Major mode for editing SiSU files." t)
  (add-to-list 'auto-mode-alist '("\\.sst\\'" . sisu-mode))
  (add-to-list 'auto-mode-alist '("\\.ssm\\'" . sisu-mode))
  (add-to-list 'auto-mode-alist '("\\.ssi\\'" . sisu-mode)))
